import { DataPackage } from './data-package';
import { FileDescriptor } from './file-descriptor';
export declare class DDFRoot {
    path: string;
    settings: any;
    errors: any[];
    ignoreExistingDataPackage: boolean;
    dataPackageDescriptor: DataPackage;
    isEmpty: boolean;
    isDDF: boolean;
    fileDescriptors: FileDescriptor[];
    constructor(path: any, settings: any, ignoreExistingDataPackage?: boolean);
    getTranslations(onTranslationsReady: any): void;
    check(onDirectoryDescriptorReady: Function): void;
    getFileDescriptor(dir: any, ddfResource: any): FileDescriptor;
    getDataPackageResources(): any;
    getDataPackageSchema(): any;
}
