import { CsvChecker } from './csv-checker';
export declare class FileDescriptor {
    dir: string;
    file: string;
    type: any;
    primaryKey: string[];
    headers: string[];
    issues: any[];
    transFileDescriptors: FileDescriptor[];
    content: any;
    measures: string[];
    fullPath: string;
    csvChecker: CsvChecker;
    hasFirstLine: boolean;
    isTranslation: boolean;
    translationId: boolean;
    size: number;
    constructor(data: any);
    fillHeaders(onHeadersReady: any): void;
    is(type: any): boolean;
    check(onFileDescriptorChecked: any): void;
    checkTranslations(onTranslationsChecked: any): void;
    getExistingTranslationDescriptors(): FileDescriptor[];
    private checkFile(onFileChecked);
}
