"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("../utils/file");
class DataPoint {
    constructor() {
        this.fileDescriptors = [];
        this.dataPackageObjects = [];
    }
    addDescriptors(fileDescriptor, dataPackageObject) {
        this.fileDescriptors.push(fileDescriptor);
        this.dataPackageObjects.push(dataPackageObject);
    }
    readFile(filename, onFileRead) {
        file_1.readFile(filename, onFileRead);
    }
}
exports.DataPoint = DataPoint;
