"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const registry_1 = require("../registry");
const issue_1 = require("../issue");
function getConceptsNotFoundIssue(ddfDataSet) {
    const concepts = ddfDataSet.getConcept().getAllData();
    if (lodash_1.isEmpty(concepts)) {
        return new issue_1.Issue(registry_1.CONCEPTS_NOT_FOUND);
    }
    return null;
}
exports.rule = {
    rule: (ddfDataSet) => getConceptsNotFoundIssue(ddfDataSet)
};
