"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const registry_1 = require("../registry");
const constants_1 = require("../../ddf-definitions/constants");
const issue_1 = require("../issue");
exports.rule = {
    rule: (ddfDataSet) => {
        console.log(ddfDataSet.fileDescriptors);
        return ddfDataSet.fileDescriptors
            .filter(fileDescriptor => !fileDescriptor.hasFirstLine)
            .filter(fileDescriptor => fileDescriptor.type === constants_1.CONCEPT ||
            fileDescriptor.type === constants_1.ENTITY ||
            fileDescriptor.type === constants_1.DATA_POINT ||
            fileDescriptor.type === constants_1.SYNONYM)
            .map(fileDescriptor => new issue_1.Issue(registry_1.EMPTY_DATA).setPath(fileDescriptor.fullPath));
    }
};
