/// <reference types="node" />
import { EventEmitter } from 'events';
import { FileDescriptor } from '../data/file-descriptor';
import { DdfDataSet } from '../ddf-definitions/ddf-data-set';
import { IssuesFilter } from '../utils/issues-filter';
export declare class DataPointChunksProcessingStory {
    private fileDescriptorsChunks;
    private issueEmitter;
    private processedIssues;
    private totalIssues;
    private out;
    private customRules;
    constructor(fileDescriptorsChunks: FileDescriptor[][], issueEmitter: EventEmitter);
    withCustomRules(customRules: any[]): DataPointChunksProcessingStory;
    processDataPointChunks(ddfDataSet: DdfDataSet, issuesFilter: IssuesFilter): void;
    waitForResult(onDataPointChunksProcessed: Function, isCollectResultMode?: boolean): this;
    done(onDataPointChunksProcessed: Function): void;
}
