export declare const isDdfTrue: (value: any) => boolean;
export declare const isDdfFalse: (value: any) => boolean;
export declare const isDdfBoolean: (value: any) => boolean;
export declare const fieldIsPrefix = "is--";
export declare const looksLikeIsField: (field: any) => boolean;
export declare const CONCEPT_TYPE_BOOLEAN = "boolean";
export declare const CONCEPT_TYPE_STRING = "string";
export declare const CONCEPT_TYPE_MEASURE = "measure";
export declare const CONCEPT_TYPE_ENTITY_DOMAIN = "entity_domain";
export declare const CONCEPT_TYPE_ENTITY_SET = "entity_set";
export declare const CONCEPT_TYPE_TIME = "time";
export declare const CONCEPT_TYPE_YEAR = "year";
export declare const CONCEPT_TYPE_WEEK = "week";
export declare const CONCEPT_TYPE_MONTH = "month";
export declare const CONCEPT_TYPE_DAY = "day";
export declare const CONCEPT_TYPE_QUARTER = "quarter";
export declare const CONCEPT_TYPE_INTERVAL = "interval";
export declare const CONCEPT_TYPE_ROLE = "role";
export declare const CONCEPT_TYPE_CUSTOM_TYPE = "custom_type";
export declare const CONCEPT_TYPES: string[];
export interface IDataPackageField {
    name: string;
}
export interface IDataPackageResourceSchema {
    fields: IDataPackageField[];
    primaryKey: string | string[];
}
export interface IDataPackageResourceRecord {
    path: string;
    name: string;
    schema: IDataPackageResourceSchema;
}
