"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const registry_1 = require("../registry");
const issue_1 = require("../issue");
exports.rule = {
    rule: (ddfDataSet) => ddfDataSet
        .getConcept()
        .getAllData()
        .filter(conceptRecord => !conceptRecord.concept)
        .map(conceptRecordWithEmptyId => new issue_1.Issue(registry_1.EMPTY_CONCEPT_ID)
        .setPath(conceptRecordWithEmptyId.$$source)
        .setData({ line: conceptRecordWithEmptyId.$$lineNumber }))
};
