"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const registry_1 = require("../registry");
const issue_1 = require("../issue");
exports.rule = {
    rule: (ddfDataSet) => {
        const result = [];
        if (!ddfDataSet.isDDF) {
            const issue = new issue_1.Issue(registry_1.NON_DDF_DATA_SET)
                .setPath(ddfDataSet.rootPath);
            result.push(issue);
        }
        return result;
    }
};
