"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const registry_1 = require("../registry");
const issue_1 = require("../issue");
exports.rule = {
    rule: (ddfDataSet) => ddfDataSet.fileDescriptors
        .filter(fileDescriptor => !fileDescriptor.csvChecker.isCorrect() && fileDescriptor.type)
        .map(fileDescriptor => new issue_1.Issue(registry_1.UNEXPECTED_DATA)
        .setPath(fileDescriptor.fullPath)
        .setData(fileDescriptor.csvChecker.errors))
};
