export interface IssueView {
    id: string;
    type: string;
    howToFix: string;
    path: string;
    data: any;
    isWarning: boolean;
}
export declare class Issue {
    type: any;
    suggestions: any[];
    path: string;
    data: any;
    constructor(type: any);
    setPath(path: string): Issue;
    setData(data: any): Issue;
    setSuggestions(suggestions: Array<any>): Issue;
    view(): IssueView;
}
