import { FileDescriptor } from './data/file-descriptor';
import { DdfDataSet } from './ddf-definitions/ddf-data-set';
import { Issue } from './ddf-rules/issue';
import { IssuesFilter } from './utils/issues-filter';
export declare const supervisor: {
    abandon: boolean;
};
export declare const CONCURRENT_OPERATIONS_AMOUNT = 2;
export declare const sameTranslation: (key: any, fileDescriptor: any) => boolean;
export declare const noTranslation: (key: any, fileDescriptor: any) => boolean;
export declare const isSimpleRule: (ruleObject: any) => boolean;
export declare const getDataPointFileDescriptorsGroups: (ddfDataSet: DdfDataSet, fileDescriptors: FileDescriptor[]) => FileDescriptor[][];
export declare const getAllDataPointFileDescriptorsChunks: (ddfDataSet: DdfDataSet) => FileDescriptor[][];
export declare const getDataPointFileDescriptorsChunks: (ddfDataSet: DdfDataSet, cpuCount: number) => FileDescriptor[][][];
export declare const getDataPointFilesChunks: (ddfDataSet: DdfDataSet, cpuCount: number) => string[][][];
export declare const getSimpleRulesResult: (ddfDataSet: DdfDataSet, issuesFilter: IssuesFilter) => Issue[];
export declare const getPreResult: (ddfDataSet: DdfDataSet, issuesFilter: IssuesFilter) => Issue[];
export declare const validationProcess: (context: any, logger: any, isCollectResultMode?: boolean) => void;
export declare const simpleValidationProcess: (context: any) => void;
