import { Transport } from 'winston';
export declare class Progress {
    title: string;
    isEnabled: boolean;
    progressBar: any;
    step: number;
    progressValue: number;
    constructor(title: string, totalSteps: number);
    update(): void;
    resume(): void;
}
export declare class ValidationTransport extends Transport {
    name: string;
    level: string;
    progress: Progress;
    file: string;
    constructor();
    updateSettings(newSettings: any): void;
    log(level: string, msg: string, meta: any, callback: Function): void;
}
export declare const validationTransport: ValidationTransport;
export declare const getLogger: Function;
export declare const getTransport: () => ValidationTransport;
